﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub EPM Check Cal Factor Table Name IEEE
DATE:                  2011-06-20
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       119
CONFIGURATION:         Agilent E4418B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        EPM-441A, EPM-442A, E4418A/B, E4419A/B, N1913A, N1914A
#
#  Source:
#        HP EPM-441A/442A Power Meters Programming Guide, HP Part No.
#        E4418-90025, March 1998
#
#        Agilent Technologies E4418B/E4419B Power Meters Programming Guide,
#        Part No. E4418-90029, November 2008
#
#        Agilent N1913/1914A EPM Series Power Meters Programming Guide,
#        Part No. N1913-90008, Fourth Edition, November 4, 2010
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedure(s):
#        None
#
#  The Procedure was tested using:
#
#        Model No.    : E4419A
#        Serial No.   : US38260572
#        Options      : None
#        Firmware Rev.: A2.09.01
#
#  This procedure compares the power sensor models required for procedure
#  execution with the cal factor tables currently defined in the configured
#  EPM-series Power Meter. If a match is not found, the operator is notified,
#  allowing subsequent definition of a table to match the required sensor
#  type.
#
#  The required sensor(s) are passed in the variable, "@TableName", which, in
#  the case of multiple sensors, are entered in a comma delimited format.
#
#  Cal factor tables are only required for use with legacy 8480 series and
#  N8480 series with Option CFT.
#
#  Examples:
# 1.001  MATH         @TableName = "8481A"
# 1.002  CALL         Sub EPM Check Cal Factor Table Name IEEE
#
# 1.001  MATH         @TableName = "8481A,8481D"
# 1.002  CALL         Sub EPM Check Cal Factor Table Name IEEE
#
#  NOTE: This procedure has no explict error checking of EPM remote commands.
#  When used with MET/CAL 7.3.36 or later, configuring an EPM-441A, EPM-442A,
#  E4418A/B, E4419A/B, N1913A, or N1914A, establishes the alias "EPM".  If a
#  command in an IEEE/SCPI FSC in this procedure causes an error, it is caught
#  by the SRQ handler in the MET/CAL 441x/EPM driver.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0
  1.002  SCPI         [@EPM]*IDN?[I$]
  1.003  MATH         Model = FLD(MEM2, 2, ",")
  1.004  SCPI         [@EPM]MEMORY:CATALOG:TABLE?[I$]
  1.005  MATH         Catalog = MEM2
  1.006  MATH         NumSensReq = (FIND(@TableName, ",", 0)) + 1

  1.007  DO
  1.008  MATH         SensorName = FLD(@TableName, NumSensReq, ",")
  1.009  HEAD         -2 Checking for [V SensorName] Cal Factor Table...

  1.010  IF           NOT(FINDI(Catalog, SensorName, 1))

# Format table name as defined by HP/Agilent, depending on model series.
  1.011  IF           FINDI(Model, "N19", 1) || NOT(IS_NUM_LEAD(SensorName))
  1.012  MATH         TableName = SensorName
  1.013  ELSE
  1.014  MATH         TableName = "HP" & SensorName
  1.015  ENDIF

  1.016  DISP         PREDEFINED CAL FACTOR TABLE NOT FOUND!
  1.016  DISP         The expected cal factor table name:
  1.016  DISP
  1.016  DISP         [32]"[V TableName]"
  1.016  DISP
  1.016  DISP         is not currently defined within the configured
  1.016  DISP         EPM-Series Power Meter.

  1.017  MATH         @Error = 1
  1.018  ENDIF

  1.019  MATH         NumSensReq = NumSensReq - 1
  1.020  UNTIL        NOT(NumSensReq)

  1.021  IF           @Error
  1.022  DISP         Select "Advance" to create the required table(s)
  1.022  DISP         or "Terminate" to abort the procedure.
  1.022  DISP
  1.022  DISP         [32]                      NOTE
  1.022  DISP         To 'create' a previously undefined table in the
  1.022  DISP         EPM-series power meters, it is necessary to rename
  1.022  DISP         an existing table.
  1.023  ENDIF

  1.024  HEAD         -2
  1.025  IEEE         [@EPM]*RST;*OPC?[I!]
  1.026  END
