﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Frequency Response Test /4419,SWPG
DATE:                  2011-08-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       88
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV Series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Set Frequency Response Test Lvl /4419,SWPG
#        Sub FSV Compute Freq Response Test Uncertainty
#        Sub FSV Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M4419  F64   8481A                        8481A
  1.003  4419         *                                                 S
  1.004  IEEE         [@SWPG]
  1.005  ENDIF

  1.006  MATH         Freq = @TestFreq; Type = @AttenType; Attn = @Atten
  1.007  MATH         Cpl = @Coupling

  1.008  HEAD         -2 Frequency: [V Freq], [V Type]: [V Attn] dB [V Cpl]
  1.009  TSET         TDESC = [V @TestFreq]
  1.010  SCPI         FREQ:CENT [V @TestFreq]
  1.011  CALL         Sub FSV Set Frequency Response Test Lvl /4419,SWPG
  1.012  CALL         Sub FSV Compute Freq Response Test Uncertainty
  1.013  ACC          0.000dB        M1U                                   +DW

  1.014  IF           ISVAR("@PreampOn") || (@Atten < 10)

  1.015  IF           (BASE(@TestFreq) < 3.6E+9)
  1.016  TOL          1.000U
  1.017  ELSE
  1.018  TOL          1.500U
  1.019  ENDIF

  1.020  ELSE

  1.021  IF           (BASE(@TestFreq) < 9E+3)
  1.022  TOL          1.000U
  1.023  ELSEIF       (BASE(@TestFreq) < 10E+6)
  1.024  TOL          0.500U
  1.025  ELSEIF       (BASE(@TestFreq) < 3.6E+9)
  1.026  TOL          0.300U
  1.027  ELSE
  1.028  TOL          0.500U
  1.029  ENDIF

  1.030  ENDIF

  1.031  TARGET       -m
  1.032  CALL         Sub FSV Take Sweep (MKPK)
  1.033  SCPI         CALC:MARK:Y?[I]
  1.034  MATH         MEM = MEM - @UUT_Ref
  1.035  MEMCX        0.000dB        TOL

  2.001  END
