﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) IF Image Rejection VER /4418,SWPG
INSTRUMENT:            Sub FSV (1 yr) IF Rejection VER /4418,SWPG
DATE:                  2011-08-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       317
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub FSV IF Image/Rejection Setup /4418,SWPG
#        Sub FSV Take Sweep (MKPK)
#
#  Required Files:
#        fsv_freq_resp_hookup_swpg.jpg
#
#  Additional Equipment Required:
#        None
#
# Except for the FSV3, the UUT remains connected to the SWPG via a power
# splitter and power meter and sensor from a previous test. In the case of the
# FSV3, the operator is prompted to connect the SWPG via the splitter to the
# UUT.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  JMPL         IF_IMAGE                     PSUBI("IF Image")
  1.005  JMPL         IF_REJECTION                 PSUBI("IF Rejection")
  1.006  DISP         Called {Subprocedure Not Found}!
  1.007  END

  1.008  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) IF Image Rejection VER /4418,SWPG  =================

  2.001  LABEL        IF_IMAGE
  2.002  RSLT         =
  2.003  HEAD         {IF IMAGE FREQUENCY REJECTION}
  2.004  RSLT         =
  2.005  RSLT         =2nd IF Frequency
  2.006  TARGET       -p

  2.007  IF           (@UUT_MaxFreq < 13.6E+9)
  2.008  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.009  PIC          fsv_freq_resp_hookup_swpg.jpg

  2.010  IF           (@UUT_MaxFreq < 7E+9)
  2.011  MATH         Time = "1½"
  2.012  ELSEIF       (@UUT_MaxFreq < 13E+9)
  2.013  MATH         Time = "2½"
  2.014  ELSEIF       (@UUT_MaxFreq < 30E+9)
  2.015  MATH         Time = "3½"
  2.016  ENDIF

  2.017  DISP         The next routine operator intervention
  2.017  DISP         occurs in approximately [V Time] minutes...

  2.018  ENDIF

  2.019  HEAD         -2 Center Frequency: 101 MHz
  2.020  MATH         @Error = 0
  2.021  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.022  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -30;:SWE:TIME 100E-3
  2.023  SCPI         FREQ:CENT 101E+6;SPAN 1E+3;:BAND:RES 100
  2.024  SCPI         CALC:MARK:STAT ON
# Parameters associated with mismatch and tracking uncertainty:
  2.025  MATH         @DevName1       = "Agilent E4418B"
  2.026  MATH         @SensorAccMode  = "Watts 100mW F64"
  2.027  MATH         @SensorSWR_Mode = "SWR 8481A"
  2.028  MATH         @DevName2       = "Agilent 11667A"
  2.029  MATH         @SpltrSWR_Mode  = "Output SWR"
  2.030  MATH         @SpltrTrackMode = "Tracking"

# Parameters associated with UUT level uncertainty (normalized):

#   Absolute Level Uncertainty at 64 MHz (dB):
  2.031  MATH         @AbsLevUnc = DBTOPCTW_D(0.2) / 3
#   Frequency Response (dB):
  2.032  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
#   Input Attenuator Switching (dB):
  2.033  MATH         @InpAttSw  = DBTOPCTW_D(0.2) / 3
#   Display Linearity (dB):
  2.034  MATH         @DispLin   = DBTOPCTW_D(0.3) / 3
#   Bandwidth Switching Error (dB):
  2.035  MATH         @BandSwErr = DBTOPCTW_D(0.1) / 3
#   Resolution Bandwidth Error (%):
  2.036  MATH         @RBW_Error   = (3) / 3

  2.037  TSET         TDESC = [32]101 MHz
# Set SWPG output to (test) frequency + (2 * 729.9) MHz.
  2.038  MATH         @SWPG_Freq  = "1560.8MHz"
# Normalized 8481A Cal Factor Uncertainty from Agilent.
  2.039  MATH         @CalFactUnc = 0.92 / 2
  2.040  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  2.041  TARGET       -m
  2.042  CALL         Sub FSV Take Sweep (MKPK)
  2.043  SCPI         CALC:MARK:Y?[I]
  2.044  ACC    -130  dB             M1U
  2.045  MEMCX  -130  -80.0dB        -80.0U

  3.001  HEAD         -2 Center Frequency: 1799 MHz
  3.002  TSET         TDESC = 1799 MHz
  3.003  MATH         @SWPG_Freq = "3258.8MHz"
  3.004  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  3.005  TARGET       -m
  3.006  CALL         Sub FSV Take Sweep (MKPK)
  3.007  SCPI         CALC:MARK:Y?[I]
  3.008  ACC    -130  dB             M1U
  3.009  MEMCX  -130  -80.0dB        -50.0U

  4.001  HEAD         -2 Center Frequency: 3599 MHz
  4.002  TSET         TDESC = 3599 MHz
  4.003  MATH         @SWPG_Freq = "5058.8MHz"
  4.004  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  4.005  TARGET       -m
  4.006  CALL         Sub FSV Take Sweep (MKPK)
  4.007  SCPI         CALC:MARK:Y?[I]
  4.008  ACC    -130  dB             M1U
  4.009  MEMCX  -130  -80.0dB        -50.0U

  5.001  IF           (@UUT_MaxFreq > 3E+9)
  5.002  HEAD         -2 Center Frequency: 5299 MHz
  5.003  TSET         TDESC = 5299 MHz
  5.004  MATH         @SWPG_Freq  = "6758.8MHz"; @CalFactUnc = (1.16 / 2)
  5.005  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  5.006  TARGET       -m
  5.007  CALL         Sub FSV Take Sweep (MKPK)
  5.008  SCPI         CALC:MARK:Y?[I]
  5.009  ACC    -130  dB             M1U
  5.010  MEMCX  -130  -80.0dB        -50.0U

  6.001  HEAD         -2 Center Frequency: 6999 MHz
  6.002  TSET         TDESC = 6999 MHz
  6.003  MATH         @SWPG_Freq = "8458.8MHz"
  6.004  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  6.005  TARGET       -m
  6.006  CALL         Sub FSV Take Sweep (MKPK)
  6.007  SCPI         CALC:MARK:Y?[I]
  6.008  ACC    -130  dB             M1U
  6.009  MEMCX  -130  -80.0dB        -50.0U

  7.001  IF           (@UUT_MaxFreq > 7E+9)
  7.002  HEAD         -2 Center Frequency: 9999 MHz
  7.003  TSET         TDESC = 9999 MHz
  7.004  MATH         @SWPG_Freq = "11458.8MHz"
  7.005  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  7.006  TARGET       -m
  7.007  CALL         Sub FSV Take Sweep (MKPK)
  7.008  SCPI         CALC:MARK:Y?[I]
  7.009  ACC    -130  dB             M1U
  7.010  MEMCX  -130  -80.0dB        -50.0U
  8.001  ENDIF        ; (@UUT_MaxFreq > 7E+9)

  8.002  ENDIF        ; (@UUT_MaxFreq > 3E+9)

  8.003  RSLT         =
  8.004  RSLT         =3rd IF Frequency
  8.005  TARGET       -p
  8.006  TSET         TDESC = [32]101 MHz
# Set SWPG output to (test) frequency + (2 * 89.9) MHz.
  8.007  MATH         @SWPG_Freq = "280.8MHz"; @CalFactUnc = (0.78 / 2)
  8.008  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  8.009  TARGET       -m
  8.010  CALL         Sub FSV Take Sweep (MKPK)
  8.011  SCPI         CALC:MARK:Y?[I]
  8.012  ACC    -130  dB             M1U
  8.013  MEMCX  -130  -80.0dB        -80.0U

  9.001  TSET         TDESC = 3599 MHz
  9.002  MATH         @SWPG_Freq = "3778.8MHz"; @CalFactUnc = (0.92 / 2)
  9.003  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
  9.004  TARGET       -m
  9.005  CALL         Sub FSV Take Sweep (MKPK)
  9.006  SCPI         CALC:MARK:Y?[I]
  9.007  ACC    -130  dB             M1U
  9.008  MEMCX  -130  -80.0dB        -80.0U

 10.001  IF           (@UUT_MaxFreq > 3E+9)
 10.002  HEAD         -2 Center Frequency: 6999 MHz
 10.003  TSET         TDESC = 6999 MHz
 10.004  MATH         @SWPG_Freq = "7178.8MHz"; ; @CalFactUnc = (1.16 / 2)
 10.005  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 10.006  TARGET       -m
 10.007  CALL         Sub FSV Take Sweep (MKPK)
 10.008  SCPI         CALC:MARK:Y?[I]
 10.009  ACC    -130  dB             M1U
 10.010  MEMCX  -130  -80.0dB        -50.0U

 11.001  IF           (@UUT_MaxFreq > 7E+9)
 11.002  HEAD         -2 Center Frequency: 9999 MHz
 11.003  TSET         TDESC = 9999 MHz
 11.004  MATH         @SWPG_Freq = "10178.8MHz"
 11.005  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 11.006  TARGET       -m
 11.007  CALL         Sub FSV Take Sweep (MKPK)
 11.008  SCPI         CALC:MARK:Y?[I]
 11.009  ACC    -130  dB             M1U
 11.010  MEMCX  -130  -80.0dB        -50.0U
 12.001  ENDIF        ; (@UUT_MaxFreq > 7E+9)

 12.002  ENDIF        ; (@UUT_MaxFreq > 3E+9)

 12.003  HEAD         -2
 12.004  CALL         Sub Initialize /SWPG
 12.005  CALL         Sub Reset /SWPG
 12.006  SCPI         SYST:PRES
 12.007  HEAD
 12.008  END

 12.009  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) IF Rejection VER /4418,SWPG  =======================

 13.001  LABEL        IF_REJECTION
 13.002  RSLT         =
 13.003  HEAD         {IF REJECTION}
 13.004  RSLT         =
 13.005  RSLT         =2nd IF Frequency
 13.006  HEAD         -2 Center Frequency: 101 MHz
 13.007  TARGET       -p
 13.008  TSET         TDESC = [32]101 MHz
 13.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 13.010  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -30;:SWE:TIME 100E-3
 13.011  SCPI         FREQ:CENT 101E+6;SPAN 1E+3;:BAND:RES 100
 13.012  SCPI         CALC:MARK:STAT ON
 13.013  MATH         @SWPG_Freq  = "729.8MHz"; ; @CalFactUnc = (0.78 / 2)
 13.014  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 13.015  TARGET       -m
 13.016  CALL         Sub FSV Take Sweep (MKPK)
 13.017  SCPI         CALC:MARK:Y?[I]
 13.018  ACC    -130  dB             M1U
 13.019  MEMCX  -130  -80.0dB        -50.0U

 14.001  HEAD         -2 Center Frequency: 3599 MHz
 14.002  TSET         TDESC = 3599 MHz
 14.003  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 14.004  TARGET       -m
 14.005  CALL         Sub FSV Take Sweep (MKPK)
 14.006  SCPI         CALC:MARK:Y?[I]
 14.007  ACC    -130  dB             M1U
 14.008  MEMCX  -130  -80.0dB        -50.0U

 15.001  IF           (@UUT_MaxFreq > 3E+9)
 15.002  HEAD         -2 Center Frequency: 5299 MHz
 15.003  TSET         TDESC = 5299 MHz
 15.004  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 15.005  TARGET       -m
 15.006  CALL         Sub FSV Take Sweep (MKPK)
 15.007  SCPI         CALC:MARK:Y?[I]
 15.008  ACC    -130  dB             M1U
 15.009  MEMCX  -130  -80.0dB        -50.0U

 16.001  HEAD         -2 Center Frequency: 6999 MHz
 16.002  TSET         TDESC = 6999 MHz
 16.003  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 16.004  TARGET       -m
 16.005  CALL         Sub FSV Take Sweep (MKPK)
 16.006  SCPI         CALC:MARK:Y?[I]
 16.007  ACC    -130  dB             M1U
 16.008  MEMCX  -130  -80.0dB        -50.0U

 17.001  IF           (@UUT_MaxFreq > 7E+9)
 17.002  HEAD         -2 Center Frequency: 9999 MHz
 17.003  TSET         TDESC = 9999 MHz
 17.004  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 17.005  TARGET       -m
 17.006  CALL         Sub FSV Take Sweep (MKPK)
 17.007  SCPI         CALC:MARK:Y?[I]
 17.008  ACC    -130  dB             M1U
 17.009  MEMCX  -130  -80.0dB        -50.0U
 18.001  ENDIF        ; (@UUT_MaxFreq > 7E+9)

 18.002  ENDIF        ; (@UUT_MaxFreq > 3E+9)

 18.003  RSLT         =
 18.004  RSLT         =3rd IF Frequency
 18.005  TARGET       -p
 18.006  TSET         TDESC = 1001 MHz
 18.007  MATH         @SWPG_Freq = "89.9MHz"
 18.008  CALL         Sub FSV IF Image/Rejection Setup /4418,SWPG
 18.009  TARGET       -m
 18.010  CALL         Sub FSV Take Sweep (MKPK)
 18.011  SCPI         CALC:MARK:Y?[I]
 18.012  ACC    -130  dB             M1U
 18.013  MEMCX  -130  -80.0dB        -80.0U

 19.001  HEAD         -2
 19.002  CALL         Sub Initialize /SWPG
 19.003  CALL         Sub Reset /SWPG
 19.004  SCPI         SYST:PRES
 19.005  HEAD
 19.006  END
