﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Noise Display Tests
DATE:                  2011-07-28
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       331
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Noise Display Test
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSV Data Sheet, Version 06.00,
#   February 2010.
#
#  Applicable conditions:
#        RF attenuation       : 0 dB
#        Resolution Bandwidth : 1 kHz
#        Trace Averaging      : On
#        Number of Averages   : 20
#        Span                 : 0 Hz
#        Input Conditions     : 50 Ohm terminated
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(ISVAR("@B22_On") || ISVAR("@B24_On"))
  1.002  MATH         @TestFreq = "9 kHz"
  1.003  CALL         Sub FSV Noise Display Test

  1.004  MATH         @TestFreq = "99 kHz"
  1.005  SCPI         DISP:WIND:TRAC:Y:RLEV -20
  1.006  CALL         Sub FSV Noise Display Test

  1.007  ELSE

  1.008  MATH         @TestFreq = "101 kHz"

  1.009  IF           ISVAR("@B22_On")
  1.010  SCPI         DISP:WIND:TRAC:Y:RLEV -30

  1.011  ELSE

  1.012  SCPI         DISP:WIND:TRAC:Y:RLEV -40
  1.013  MATH         M[1] = 35; @Nominal = -145
  1.014  ENDIF

  1.015  CALL         Sub FSV Noise Display Test
  1.016  ENDIF

  1.017  MATH         @TestFreq = "999 kHz"

  1.018  IF           NOT(ISVAR("@B22_On")) || NOT(ISVAR("@B24_On"))
  1.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  1.020  ENDIF

  1.021  CALL         Sub FSV Noise Display Test

  1.022  MATH         @TestFreq = "10.1 MHz"
  1.023  SCPI         DISP:WIND:TRAC:Y:RLEV -60
  1.024  CALL         Sub FSV Noise Display Test

  1.025  MATH         @TestFreq = "19.99 MHz"
  1.026  CALL         Sub FSV Noise Display Test

  1.027  MATH         @TestFreq = "49.99 MHz"
  1.028  CALL         Sub FSV Noise Display Test

  1.029  MATH         @TestFreq = "99.99 MHz"
  1.030  CALL         Sub FSV Noise Display Test

  1.031  MATH         @TestFreq = "199.9 MHz"
  1.032  CALL         Sub FSV Noise Display Test

  1.033  MATH         @TestFreq = "499.9 MHz"
  1.034  CALL         Sub FSV Noise Display Test

  1.035  MATH         @TestFreq = "599.9 MHz"
  1.036  CALL         Sub FSV Noise Display Test

  1.037  MATH         @TestFreq = "699.9 MHz"
  1.038  CALL         Sub FSV Noise Display Test

  1.039  MATH         @TestFreq = "799.9 MHz"
  1.040  CALL         Sub FSV Noise Display Test

  1.041  MATH         @TestFreq = "899.9 MHz"
  1.042  CALL         Sub FSV Noise Display Test

  1.043  MATH         @TestFreq = "999.9 MHz"
  1.044  CALL         Sub FSV Noise Display Test

  1.045  MATH         @TestFreq = "1199.9 MHz"
  1.046  CALL         Sub FSV Noise Display Test

  1.047  MATH         @TestFreq = "1399.9 MHz"
  1.048  CALL         Sub FSV Noise Display Test

  1.049  MATH         @TestFreq = "1599.9 MHz"
  1.050  CALL         Sub FSV Noise Display Test

  1.051  MATH         @TestFreq = "1799.9 MHz"
  1.052  CALL         Sub FSV Noise Display Test

  1.053  MATH         @TestFreq = "1999.9 MHz"
  1.054  CALL         Sub FSV Noise Display Test

  1.055  MATH         @TestFreq = "2199.9 MHz"
  1.056  CALL         Sub FSV Noise Display Test

  1.057  MATH         @TestFreq = "2399.9 MHz"
  1.058  CALL         Sub FSV Noise Display Test

  1.059  MATH         @TestFreq = "2599.9 MHz"
  1.060  CALL         Sub FSV Noise Display Test

  1.061  MATH         @TestFreq = "2999.9 MHz"
  1.062  CALL         Sub FSV Noise Display Test

  1.063  MATH         @TestFreq = "3199.9 MHz"
  1.064  CALL         Sub FSV Noise Display Test

  1.065  MATH         @TestFreq = "3399.9 MHz"
  1.066  CALL         Sub FSV Noise Display Test

  1.067  MATH         @TestFreq = "3599.9 MHz"
  1.068  CALL         Sub FSV Noise Display Test

  1.069  IF           (@UUT_MaxFreq <= 3.6E+9)
  1.070  END
  1.071  ENDIF

  1.072  MATH         @TestFreq = "3799.9 MHz"
  1.073  CALL         Sub FSV Noise Display Test

  1.074  MATH         @TestFreq = "3999.9 MHz"
  1.075  CALL         Sub FSV Noise Display Test

  1.076  MATH         @TestFreq = "4199.9 MHz"
  1.077  CALL         Sub FSV Noise Display Test

  1.078  MATH         @TestFreq = "4399.9 MHz"
  1.079  CALL         Sub FSV Noise Display Test

  1.080  MATH         @TestFreq = "4599.9 MHz"
  1.081  CALL         Sub FSV Noise Display Test

  1.082  MATH         @TestFreq = "4799.9 MHz"
  1.083  CALL         Sub FSV Noise Display Test

  1.084  MATH         @TestFreq = "4999.9 MHz"
  1.085  CALL         Sub FSV Noise Display Test

  1.086  MATH         @TestFreq = "5199.9 MHz"
  1.087  CALL         Sub FSV Noise Display Test

  1.088  MATH         @TestFreq = "5399.9 MHz"
  1.089  CALL         Sub FSV Noise Display Test

  1.090  MATH         @TestFreq = "5599.9 MHz"
  1.091  CALL         Sub FSV Noise Display Test

  1.092  MATH         @TestFreq = "5799.9 MHz"
  1.093  CALL         Sub FSV Noise Display Test

  1.094  MATH         @TestFreq = "5999.9 MHz"
  1.095  CALL         Sub FSV Noise Display Test

  1.096  MATH         @TestFreq = "6199.9 MHz"
  1.097  CALL         Sub FSV Noise Display Test

  1.098  MATH         @TestFreq = "6399.9 MHz"
  1.099  CALL         Sub FSV Noise Display Test

  1.100  MATH         @TestFreq = "6599.9 MHz"
  1.101  CALL         Sub FSV Noise Display Test

  1.102  MATH         @TestFreq = "6799.9 MHz"
  1.103  CALL         Sub FSV Noise Display Test

  1.104  MATH         @TestFreq = "6999.9 MHz"
  1.105  CALL         Sub FSV Noise Display Test

  1.106  IF           (@UUT_MaxFreq <= 7E+9)
  1.107  END
  1.108  ENDIF

  1.109  MATH         @TestFreq = "7499.9 MHz"
  1.110  CALL         Sub FSV Noise Display Test

  1.111  MATH         @TestFreq = "7999.9 MHz"
  1.112  CALL         Sub FSV Noise Display Test

  1.113  MATH         @TestFreq = "8499.9 MHz"
  1.114  CALL         Sub FSV Noise Display Test

  1.115  MATH         @TestFreq = "8999.9 MHz"
  1.116  CALL         Sub FSV Noise Display Test

  1.117  MATH         @TestFreq = "9499.9 MHz"
  1.118  CALL         Sub FSV Noise Display Test

  1.119  MATH         @TestFreq = "9999.9 MHz"
  1.120  CALL         Sub FSV Noise Display Test

  1.121  MATH         @TestFreq = "10999.9 MHz"
  1.122  CALL         Sub FSV Noise Display Test

  1.123  MATH         @TestFreq = "11499.9 MHz"
  1.124  CALL         Sub FSV Noise Display Test

  1.125  MATH         @TestFreq = "11999.9 MHz"
  1.126  CALL         Sub FSV Noise Display Test

  1.127  MATH         @TestFreq = "12499.9 MHz"
  1.128  CALL         Sub FSV Noise Display Test

  1.129  MATH         @TestFreq = "12999.9 MHz"
  1.130  CALL         Sub FSV Noise Display Test

  1.131  IF           (@UUT_MaxFreq <= 13E+9)
  1.132  END
  1.133  ENDIF

  1.134  MATH         @TestFreq = "13999.9 MHz"
  1.135  CALL         Sub FSV Noise Display Test

  1.136  MATH         @TestFreq = "14999.9 MHz"
  1.137  CALL         Sub FSV Noise Display Test

  1.138  MATH         @TestFreq = "15999.9 MHz"
  1.139  CALL         Sub FSV Noise Display Test

  1.140  MATH         @TestFreq = "16999.9 MHz"
  1.141  CALL         Sub FSV Noise Display Test

  1.142  MATH         @TestFreq = "17999.9 MHz"
  1.143  CALL         Sub FSV Noise Display Test

  1.144  MATH         @TestFreq = "18999.9 MHz"
  1.145  MATH         M[1] = 26; @Nominal = -154
  1.146  CALL         Sub FSV Noise Display Test

  1.147  MATH         @TestFreq = "19999.9 MHz"
  1.148  CALL         Sub FSV Noise Display Test

  1.149  MATH         @TestFreq = "20999.9 MHz"
  1.150  CALL         Sub FSV Noise Display Test

  1.151  MATH         @TestFreq = "21999.9 MHz"
  1.152  CALL         Sub FSV Noise Display Test

  1.153  MATH         @TestFreq = "22999.9 MHz"
  1.154  CALL         Sub FSV Noise Display Test

  1.155  MATH         @TestFreq = "23999.9 MHz"
  1.156  CALL         Sub FSV Noise Display Test

  1.157  MATH         @TestFreq = "24999.9 MHz"
  1.158  CALL         Sub FSV Noise Display Test

  1.159  MATH         @TestFreq = "25999.9 MHz"
  1.160  CALL         Sub FSV Noise Display Test

  1.161  MATH         @TestFreq = "26999.9 MHz"
  1.162  CALL         Sub FSV Noise Display Test

  1.163  MATH         @TestFreq = "27999.9 MHz"
  1.164  CALL         Sub FSV Noise Display Test

  1.165  MATH         @TestFreq = "28999.9 MHz"
  1.166  CALL         Sub FSV Noise Display Test

  1.167  MATH         @TestFreq = "29999.9 MHz"
  1.168  CALL         Sub FSV Noise Display Test

  1.169  IF           (@UUT_MaxFreq <= 30E+9)
  1.170  END
  1.171  ENDIF

  1.172  MATH         @TestFreq = "31999.9 MHz"
  1.173  MATH         M[1] = 48; @Nominal = -112
  1.174  CALL         Sub FSV Noise Display Test

  1.175  MATH         @TestFreq = "32999.9 MHz"
  1.176  CALL         Sub FSV Noise Display Test

  1.177  MATH         @TestFreq = "33999.9 MHz"
  1.178  CALL         Sub FSV Noise Display Test

  1.179  MATH         @TestFreq = "34999.9 MHz"
  1.180  CALL         Sub FSV Noise Display Test

  1.181  MATH         @TestFreq = "35999.9 MHz"
  1.182  CALL         Sub FSV Noise Display Test

  1.183  MATH         @TestFreq = "36999.9 MHz"
  1.184  CALL         Sub FSV Noise Display Test

  1.185  MATH         @TestFreq = "37999.9 MHz"
  1.186  CALL         Sub FSV Noise Display Test

  1.187  MATH         @TestFreq = "38999.9 MHz"
  1.188  CALL         Sub FSV Noise Display Test

  1.189  MATH         @TestFreq = "39999.9 MHz"
  1.190  CALL         Sub FSV Noise Display Test

  1.191  END
