﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Set DANL Tolerance (FSV-B24)
INSTRUMENT:            Sub FSV (1 yr) Set DANL Tolerance (FSV-B22)
INSTRUMENT:            Sub FSV (1 yr) Set DANL Tolerance
DATE:                  2011-07-11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       298
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSV Data Sheet, Version 06.00,
#   February 2010.
#
#  This procedure establishes the UUT DANL specification (@Nominal) and noise
#  floor (M[1]) based on the UUT bandwidth, test frequency, option
#  configuration and status.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         TestFreq = BASE(@TestFreq)
  1.002  JMPL         OPT_B24                      PSUBI("FSV-B24")
  1.003  JMPL         OPT_B22                      PSUBI("FSV-B22")
  1.004  JMPL         NONE
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) DANL Set Tolerance (FSV-B24)  ======================

  2.001  LABEL        OPT_B24

  2.002  IF           ISVAR("@B24_On")

  2.003  IF           (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  2.004  MATH         M[1] = 45; @Nominal = -145
  2.005  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <  20.0E+6)
  2.006  MATH         M[1] = 35; @Nominal = -155
  2.007  ELSEIF       (TestFreq >=  20.0E+6) && (TestFreq <   1.0E+9)
  2.008  MATH         M[1] = 30; @Nominal = -160
  2.009  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  2.010  MATH         M[1] = 33; @Nominal = -157
  2.011  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  2.012  MATH         M[1] = 37; @Nominal = -153
  2.013  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <   7.4E+9)
  2.014  MATH         M[1] = 40; @Nominal = -150
  2.015  ELSEIF       (TestFreq >=   7.4E+9) && (TestFreq <  15.0E+9)
  2.016  MATH         M[1] = 26; @Nominal = -164
  2.017  ELSEIF       (TestFreq >=  15.0E+9) && (TestFreq <  34.0E+9)
  2.018  MATH         M[1] = 31; @Nominal = -159
  2.019  ELSEIF       (TestFreq >=  34.0E+9) && (TestFreq <= 40.0E+9)
  2.020  MATH         M[1] = 36; @Nominal = -154
  2.021  ENDIF

  2.022  ELSE         ; The following are for FSV-B24 UUTs with preamp OFF:

  2.023  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100E+3)
  2.024  MATH         M[1] = 60; @Nominal = -130
  2.025  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq < 1.0E+6)
  2.026  MATH         M[1] = 45; @Nominal = -145
  2.027  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq < 1.0E+9)
  2.028  MATH         M[1] = 40; @Nominal = -150
  2.029  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq < 3.6E+9)
  2.030  MATH         M[1] = 43; @Nominal = -147
  2.031  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq < 6.0E+9)
  2.032  MATH         M[1] = 46; @Nominal = -144
  2.033  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq < 7.4E+9)
  2.034  MATH         M[1] = 49; @Nominal = -141
  2.035  ENDIF

  2.036  IF           (@UUT_MaxFreq < 40E+9)

  2.037  IF           (TestFreq >=  7.4E+9) && (TestFreq <  13.6E+9)
  2.038  MATH         M[1] = 45; @Nominal = -145
  2.039  ELSEIF       (TestFreq >= 13.6E+9) && (TestFreq <  15.0E+9)
  2.040  MATH         M[1] = 47; @Nominal = -143
  2.041  ELSEIF       (TestFreq >= 15.0E+9) && (TestFreq <= 30.0E+9)
  2.042  MATH         M[1] = 49; @Nominal = -141
  2.043  ENDIF

  2.044  ELSE

  2.045  IF           (TestFreq >=  7.4E+9) && (TestFreq <  13.6E+9)
  2.046  MATH         M[1] = 47; @Nominal = -143
  2.047  ELSEIF       (TestFreq >= 13.6E+9) && (TestFreq <  34.0E+9)
  2.048  MATH         M[1] = 49; @Nominal = -141
  2.049  ELSEIF       (TestFreq >= 15.0E+9) && (TestFreq <  34.0E+9)
  2.050  MATH         M[1] = 51; @Nominal = -139
  2.051  ELSEIF       (TestFreq >= 34.0E+9) && (TestFreq <= 40.0E+9)
  2.052  MATH         M[1] = 58; @Nominal = -132
  2.053  ENDIF

  2.054  ENDIF        ; (@UUT_MaxFreq < 40E+9)

  2.055  ENDIF        ; ISVAR("@B24_On")

  2.056  END

  2.057  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) DANL Set Tolerance (FSV-B22)  ======================

  3.001  LABEL        OPT_B22

  3.002  IF           ISVAR("@B22_On")

  3.003  IF           (@UUT_MaxFreq < 13E+9)

  3.004  IF           (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  3.005  MATH         M[1] = 40; @Nominal = -150
  3.006  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  3.007  MATH         M[1] = 28; @Nominal = -162
  3.008  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  3.009  MATH         M[1] = 30; @Nominal = -160
  3.010  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  3.011  MATH         M[1] = 32; @Nominal = -158
  3.012  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <=  7.0E+9)
  3.013  MATH         M[1] = 34; @Nominal = -156
  3.014  ENDIF

  3.015  ELSE         ; (@UUT_MaxFreq > 13E+9)

  3.016  IF           (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  3.017  MATH         M[1] = 45; @Nominal = -145
  3.018  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <  20.0E+6)
  3.019  MATH         M[1] = 35; @Nominal = -155
  3.020  ELSEIF       (TestFreq >=  20.0E+6) && (TestFreq <   1.0E+9)
  3.021  MATH         M[1] = 29; @Nominal = -161
  3.022  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  3.023  MATH         M[1] = 31; @Nominal = -159
  3.024  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  3.025  MATH         M[1] = 34; @Nominal = -156
  3.026  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <=  7.0E+9)
  3.027  MATH         M[1] = 36; @Nominal = -154
  3.028  ENDIF

  3.029  ENDIF

  3.030  ELSE         ; The following are for FSV-B22 UUTs with preamp OFF:

  3.031  IF           (@UUT_MaxFreq < 13E+9)

  3.032  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  3.033  MATH         M[1] = 60; @Nominal = -130
  3.034  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  3.035  MATH         M[1] = 45; @Nominal = -145
  3.036  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  3.037  MATH         M[1] = 38; @Nominal = -152
  3.038  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  3.039  MATH         M[1] = 40; @Nominal = -150
  3.040  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  3.041  MATH         M[1] = 42; @Nominal = -148
  3.042  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <=  7.0E+9)
  3.043  MATH         M[1] = 44; @Nominal = -146
  3.044  ENDIF

  3.045  ELSEIF       (@UUT_MaxFreq < 40E+9)

  3.046  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  3.047  MATH         M[1] = 60; @Nominal = -130
  3.048  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  3.049  MATH         M[1] = 45; @Nominal = -145
  3.050  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  3.051  MATH         M[1] = 39; @Nominal = -151
  3.052  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  3.053  MATH         M[1] = 41; @Nominal = -149
  3.054  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  3.055  MATH         M[1] = 44; @Nominal = -146
  3.056  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <   7.4E+9)
  3.057  MATH         M[1] = 46; @Nominal = -144
  3.058  ELSEIF       (TestFreq >=   7.4E+9) && (TestFreq <  15.0E+9)
  3.059  MATH         M[1] = 42; @Nominal = -148
  3.060  ELSEIF       (TestFreq >= 1 5.0E+9) && (TestFreq <= 30.0E+9)
  3.061  MATH         M[1] = 46; @Nominal = -144
  3.062  ENDIF

  3.063  ELSE         ; (@UUT_MaxFreq == 40E+9)

  3.064  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  3.065  MATH         M[1] = 60; @Nominal = -130
  3.066  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  3.067  MATH         M[1] = 45; @Nominal = -145
  3.068  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  3.069  MATH         M[1] = 39; @Nominal = -151
  3.070  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  3.071  MATH         M[1] = 41; @Nominal = -149
  3.072  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  3.073  MATH         M[1] = 44; @Nominal = -146
  3.074  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <   7.4E+9)
  3.075  MATH         M[1] = 46; @Nominal = -144
  3.076  ELSEIF       (TestFreq >=   7.4E+9) && (TestFreq <  15.0E+9)
  3.077  MATH         M[1] = 45; @Nominal = -145
  3.078  ELSEIF       (TestFreq >=  15.0E+9) && (TestFreq <  34.0E+9)
  3.079  MATH         M[1] = 48; @Nominal = -142
  3.080  ELSEIF       (TestFreq >=  34.0E+9) && (TestFreq <= 40.0E+9)
  3.081  MATH         M[1] = 54; @Nominal = -136
  3.082  ENDIF

  3.083  ENDIF        ; (@UUT_MaxFreq < 40E+9)

  3.084  ENDIF        ; ISVAR("@B22_On")

  3.085  END

  3.086  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) DANL Set Tolerance  ================================

  4.001  LABEL        NONE

  4.002  IF           (@UUT_MaxFreq < 13E+9)

  4.003  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  4.004  MATH         M[1] = 60; @Nominal = -130
  4.005  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  4.006  MATH         M[1] = 45; @Nominal = -145
  4.007  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  4.008  MATH         M[1] = 38; @Nominal = -152
  4.009  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  4.010  MATH         M[1] = 40; @Nominal = -150
  4.011  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  4.012  MATH         M[1] = 42; @Nominal = -148
  4.013  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <=  7.0E+9)
  4.014  MATH         M[1] = 44; @Nominal = -146
  4.015  ENDIF

  4.016  ELSEIF       (@UUT_MaxFreq < 40E+9)

  4.017  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  4.018  MATH         M[1] = 60; @Nominal = -130
  4.019  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  4.020  MATH         M[1] = 45; @Nominal = -145
  4.021  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  4.022  MATH         M[1] = 39; @Nominal = -151
  4.023  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  4.024  MATH         M[1] = 41; @Nominal = -149
  4.025  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  4.026  MATH         M[1] = 44; @Nominal = -146
  4.027  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <   7.4E+9)
  4.028  MATH         M[1] = 46; @Nominal = -144
  4.029  ELSEIF       (TestFreq >=   7.4E+9) && (TestFreq <  15.0E+9)
  4.030  MATH         M[1] = 42; @Nominal = -148
  4.031  ELSEIF       (TestFreq >= 1 5.0E+9) && (TestFreq <= 30.0E+9)
  4.032  MATH         M[1] = 46; @Nominal = -144
  4.033  ENDIF

  4.034  ELSE         ; (@UUT_MaxFreq == 40E+9)

  4.035  IF           (TestFreq >=   9.0E+3) && (TestFreq < 100.0E+3)
  4.036  MATH         M[1] = 60; @Nominal = -130
  4.037  ELSEIF       (TestFreq >= 100.0E+3) && (TestFreq <   1.0E+6)
  4.038  MATH         M[1] = 45; @Nominal = -145
  4.039  ELSEIF       (TestFreq >=   1.0E+6) && (TestFreq <   1.0E+9)
  4.040  MATH         M[1] = 39; @Nominal = -151
  4.041  ELSEIF       (TestFreq >=   1.0E+9) && (TestFreq <   3.6E+9)
  4.042  MATH         M[1] = 41; @Nominal = -149
  4.043  ELSEIF       (TestFreq >=   3.6E+9) && (TestFreq <   6.0E+9)
  4.044  MATH         M[1] = 44; @Nominal = -146
  4.045  ELSEIF       (TestFreq >=   6.0E+9) && (TestFreq <   7.4E+9)
  4.046  MATH         M[1] = 46; @Nominal = -144
  4.047  ELSEIF       (TestFreq >=   7.4E+9) && (TestFreq <  15.0E+9)
  4.048  MATH         M[1] = 45; @Nominal = -145
  4.049  ELSEIF       (TestFreq >=  15.0E+9) && (TestFreq <  34.0E+9)
  4.050  MATH         M[1] = 48; @Nominal = -142
  4.051  ELSEIF       (TestFreq >=  34.0E+9) && (TestFreq <= 40.0E+9)
  4.052  MATH         M[1] = 54; @Nominal = -136
  4.053  ENDIF

  4.054  ENDIF        ; (@UUT_MaxFreq < 40E+9)

  4.055  END
