﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV RF Frequency Response Tests /4419,SWPG
INSTRUMENT:            Sub FSV µW Frequency Response Tests /4419,SWPG
DATE:                  2011-08-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       139
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV Series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV (1 yr) Frequency Response Test /4419,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M4419  F64   8481A                        8481A
  1.003  4419         *                                                 S
  1.004  IEEE         [@SWPG]
  1.005  ENDIF

  1.006  MATH         @TestFreq = "64 MHz"; @TestLvl = +1; @Chan = "B"

  1.007  IF           (@Atten < 10) && NOT(ISVAR("@B25_On"))
  1.008  MATH         @UUT_SWR = 2.0
  1.009  ELSE
  1.010  MATH         @UUT_SWR = 1.5
  1.011  ENDIF

  1.012  CALL         Sub FSV Set Frequency Response Test Lvl /4419,SWPG
  1.013  CALL         Sub FSV Compute Freq Response Reference Uncertainty
  1.014  CALL         Sub FSV Take Sweep (MKPK)
  1.015  SCPI         CALC:MARK:Y?[I]
  1.016  MATH         @UUT_Ref = MEM
  1.017  JMPL         RF_TESTS                     PSUBI("RF")
  1.018  JMPL         µW_TESTS                     PSUBI("µW")
  1.019  DISP         Called {Subprocedure Not Found}!
  1.020  END

  1.021  EVAL   Increment Test Number

# =====  Sub FSV RF Frequency Response Tests /4419,SWPG  ===================

  2.001  LABEL        RF_TESTS
  2.002  MATH         @TestFreq = "301 MHz"
  2.003  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.004  MATH         @TestFreq = "401 MHz"
  2.005  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.006  MATH         @TestFreq = "501 MHz"
  2.007  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.008  MATH         @TestFreq = "601 MHz"
  2.009  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.010  MATH         @TestFreq = "701 MHz"
  2.011  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.012  MATH         @TestFreq = "801 MHz"
  2.013  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.014  MATH         @TestFreq = "901 MHz"
  2.015  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.016  MATH         @TestFreq = "1001 MHz"
  2.017  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.018  MATH         @TestFreq = "1501 MHz"
  2.019  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.020  MATH         @TestFreq = "2001 MHz"
  2.021  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.022  MATH         @TestFreq = "2501 MHz"
  2.023  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.024  MATH         @TestFreq = "3001 MHz"
  2.025  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.026  MATH         @TestFreq = "3599 MHz"
  2.027  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  2.028  END

  2.029  EVAL   Increment Test Number

# =====  Sub FSV µW Frequency Response Tests /4419,SWPG  ===================

  3.001  LABEL        µW_TESTS
  3.002  MATH         @TestFreq = "4001 MHz"; @UUT_SWR = 2.0
  3.003  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.004  MATH         @TestFreq = "4501 MHz"
  3.005  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.006  MATH         @TestFreq = "5001 MHz"
  3.007  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.008  MATH         @TestFreq = "5501 MHz"
  3.009  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.010  MATH         @TestFreq = "6001 MHz"
  3.011  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.012  MATH         @TestFreq = "6501 MHz"
  3.013  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.014  MATH         @TestFreq = "6999 MHz"
  3.015  CALL         Sub FSV (1 yr) Frequency Response Test /4419,SWPG

  3.016  END
