﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV TOI Test /LO,SWPG
DATE:                  2011-07-22
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       93
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Output Off /LO
#        Sub Apply /SWPG
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV Set Ref Level (dBm) /SWPG
#        Sub Apply /LO
#        Sub FSV Set Ref Level (dBm) /LO
#        Sub FSV Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Measurement Uncertainty:
#   Specified uncertainty assumes negligible UUT frequency response error over
#   a narrow measurement span (±50 kHz of center frequency) with primary error
#   sources being:
#
#   - Display Nonlinearity (±0.1 dB, 0-70 dB)
#   - Resolution Bandwidth Uncertainty (3% of specified bandwidth)
#
#   Two relative measurements, one for each upper and lower intermod products,
#   are averaged for computed readout. The uncertainties associated with each
#   are rss'd.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  HEAD         -2 Center Frequency: [V @TestFreq]
  1.006  SCPI         FREQ:CENT [V @TestFreq];:CALC:MARK:FUNC:TOI OFF
  1.007  TSET         TDESC = [V @TestFreq]; CPT = [V @Nominal] dBm
  1.008  TSET         UUT_RES = 0.1
  1.009  CALL         Sub Output Off /LO
  1.010  HEAD         -2 Setting SWPG [V @SWPG_Freq] Test Level...
  1.011  CALL         Sub Apply /SWPG
  1.012  CALL         Sub FSV Take Sweep (MKPK)
  1.013  SCPI         CALC:MARK:Y?[I]
  1.014  CALL         Sub FSV Set Ref Level (dBm) /SWPG
  1.015  CALL         Sub Output Off /SWPG
  1.016  HEAD         -2 Setting LO [V @LO_Freq] Test Level...
  1.017  CALL         Sub Apply /LO
  1.018  CALL         Sub FSV Take Sweep (MKPK)
  1.019  SCPI         CALC:MARK:Y?[I]
  1.020  CALL         Sub FSV Set Ref Level (dBm) /LO
  1.021  CALL         Sub Apply /SWPG
  1.022  CALL         Sub FSV Take Sweep Only
  1.023  SCPI         CALC:MARK:FUNC:TOI ON
  1.024  HEAD         -2 Measuring [V @TestFreq] Third Order Intercept...
  1.025  TSET         CPT = [V @Nominal]
  1.026  TARGET       -m
  1.027  CALL         Sub FSV Take Sweep Only
  1.028  SCPI         CALC:MARK:FUNC:TOI:RES?[I]
# See derivation of uncertainty, above.
  1.029  TOL          0.33U
  1.030  ACC          dBm            TOL                                   +W
  1.031  MATH         MEM1 = @Nominal
  1.032  MEMCX        dBm            +M1U

  2.001  END
